
#include <mioP.h>

/***********************************************************************/

Am9513_SelectMode(int cntr, int mask ){
DBGin("Am9513_SelectMode");

        outw_p( 0xff00 + cntr, MIO_CCMD);  /* select counter X mode register */
        outw_p( mask         , MIO_CDATA); /* set mode */
        DBGprint(DBG_DATA,("(%d,0x%x)",cntr,mask));

DBGout();
}
/***********************************************************************/

Am9513_SetTimebase(int cntr, int base){
DBGin("Am9513_SetTimebase");

        outw_p( 0xff08 + cntr, MIO_CCMD);  /* select counter C load reg. */
        outw_p( base         , MIO_CDATA); /* write timebase             */
        DBGprint(DBG_DATA,("(%d,0x%x)",cntr,base));

DBGout();
}

/***********************************************************************/

Am9513_LoadArm(int cntr){
DBGin("Am9513_LoadArm");

      switch(cntr){
      case 1: 
	outw_p( 0xff61, MIO_CCMD ); break;
      case 2: 
	outw_p( 0xff62, MIO_CCMD ); break;
      case 3: 
	outw_p( 0xff64, MIO_CCMD ); break;
      case 4: 
	outw_p( 0xff68, MIO_CCMD ); break;
      case 5: 
	outw_p( 0xff70, MIO_CCMD ); break;
      default: 
	printk(" %d no such counter \n",cntr); break;
      }

DBGout();
}


/***********************************************************************/
void Am9513_reset(void){

register int i;

       DBGin("Am9513_reset");

       outw( 0xffff , MIO_CCMD ); /* Master RESET */
       outw( 0xffef , MIO_CCMD ); /* SET 16BIT MODE */
       outw( 0xff17 , MIO_CCMD ); /* point to master mode */
       outw( 0xf000 , MIO_CDATA); /* load master mode */
       
       for(i=1;i<=5;i++) {
	 outw( 0xff00 + i, MIO_CCMD  );  /* select counter mode register i */
	 outw( 0x0004    , MIO_CDATA );  /* store mode */
	 outw( 0xff08 + i, MIO_CCMD  );  /* select counter loadreg. i */
	 outw( 0x0003    , MIO_CDATA );  /* store inactive count */
       }

       outw( 0xff5f      , MIO_CCMD  );  /* load all counters */

       DBGout();

}
