
#include <mioP.h>

/***********************************************************************/
char RTSI_PinPattern[14]; /* the rtsi bit pattern divided 
                             to 14 bytes, each 4 bit used */


void mio_UpdateRTSI(void){
int i,j;
unsigned char dummy;


DBGin("mio_UpdateRTSI");
for(i=0;i<14;i++){
  for(j=0;j<4;j++){
    /* write bit to shift register */
    outb(( (RTSI_PinPattern[i]>>j) & 0x1 ),MIO_RSHIFT);
    }
}
outb(0x0,MIO_RSSTR ); /* load Pattern with RTSI-STROBE */
DBGout();
}

/***********************************************************************/
void mio_SelectRTSI(int Pin, int Mode){

DBGin("mio_SetRTSI");

DBGprint(DBG_DATA,("Pin 0x%x -> 0x%x",Pin,Mode));

RTSI_PinPattern[ Pin ] |= Mode;
mio_UpdateRTSI();

DBGout();
}
/***********************************************************************/
void mio_ResetRTSI(void){
int i;

DBGin("mio_ResetRTSI");

for(i=0;i<14;i++) {
  RTSI_PinPattern[i] = 0x0;
}
  mio_UpdateRTSI();

DBGout();
}
