/* wavegen errors */


#define ENOTRACES 100
#define EWTRACE   101
#define EIMODE    102


/* states */

#define WGEN_RUNNING (1<<0)  /* indicates that wavegen is running */
#define WGEN_SYNC    (1<<1)  /* synchronous mode                  */
#define WGEN_PAUSED  (1<<2)  /* generator paused (idle state)     */
#define WGEN_FORCE   (1<<3)  /* Force Jumptarget                  */
#define WGEN_INVERT  (1<<4)  /* Inverse voltage mode              */

/* trace types */

#define WAV_STEP  0
#define WAV_RAMP  1
#define WAV_RAW   2
#define WAV_JMP   3
#if HELP
#error help here
#endif
/*************************************************************/

typedef struct {

  int type;        /* trace type */
  int duration;    /* duration of trace in timer clicks */
  int arg;         /* argument (dependent of type value or offset ) */

  int *buf;        /* Buffer for Raw Wave */		      
} WaveTrace;



extern int WgenBaseFreq;
extern int WgenTimebase;








